#ifndef GM_LITEMAPS_H
#define GM_LITEMAPS_H

#include"maplist.h"

class GM_LiteMaps : public MapList {
public:
	GM_LiteMaps(const QString &path = "/mnt/card/gm_lite/imgs");
	QString searchMapFileName(long ns, long ew, Radian *radMapEW,
			Radian *radMapNS, Radian *radMapWidth, Radian *radMapHeight);
	QString pointMapFileName(int diffLat, int diffLong, Radian *radMapEW,
			Radian *radMapNS, Radian *radMapWidth, Radian *radMapHeight);
	void changeScale(const QString &scale);
	QString getClassName() {
		return "GM_LiteMaps";
	}

private:
	unsigned long _scale, _maxScale, _imageSize;
	QString _basePath;
	long _mapidX, _mapidY;
	long *_mapW;
};

#endif //GM_LITEMAPS_H
